API ReferenceapicapriGET /v1/sync/{syncId}

GET /v1/sync/\{syncId\}

Service: capri · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • syncId (string) required

Responses

200 Sync status

{
  "type": "object",
  "properties": {
    "sync_id": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "records_processed": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "sync_id",
    "status",
    "records_processed",
    "errors"
  ]
}

502 Upstream error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "code": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "code"
  ]
}

Example

curl -X GET https://capri.platform.loop.health/v1/sync/{syncId} \
  -H "Authorization: Bearer $ACCESS_TOKEN"